Subject: Re: [Disman] 答复: [Technical Errata Reported] RFC2981 (3798)

From: Randy Presuhn <[email-masked]>
Date: Thu, 14 Nov 2013 08:56:09 -0800 (GMT-08:00)

Hi -

>From: 帅帅 <[email-masked]>
>Sent: Nov 14, 2013 1:55 AM
>To: Randy Presuhn <[email-masked]>, RFC Errata System <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
>Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
>Subject:  答复: [Technical Errata Reported] RFC2981 (3798)
>
>Hi Randy:
>    Special delta parameters such as mteTriggerThresholdDeltaRising
> was added to mteTriggerThresholdTable, but no delta parameters for
> mteTriggerbooleanTable, why the difference?

See the DESCRIPTION of mteTriggerTest  for an outline of the
difference between boolean and threshold trigger types.
Perhaps the chart on page 5 will be helpful.  There are
several different kinds of triggers.  In addition to the
object monitored, some additional pieces of information
are needed.  Exactly *which* additional pieces of information
depends upon the trigger type.

The existing text mentioned in the proposed erratum merely
says that sample type is irrelevant for an existence trigger.
(I think it's obvious why that is true.)  It doesn't mention
the behaviour in the degenerate case where *none* of the bits
of mteTriggerTest happens to be set, but I think the Postel
Principle dictates that sample type would be irrelevant in that
case as well.

>     I think the auther's intention is to TEST both absoluteValue
> and deltaValue for threshold.

The SYNTAX of mteTriggerSampleType is INTEGER, so only one of
those values is possible for a given instance at any point in
time, so I think that interpretation is incorrect.

> Therefore mteTriggerSampleType is of no meaning for threshold,
> otherwise, when mteTriggerSampleType is set to deltaValue,
> mteTriggerThresholdRising and mteTriggerThresholdDeltaRising
> which one to use?

It's important to understand the explanatory text in the DESCRIPTION of 
mteTriggerThresholdStartup, but I think the key point is to
understand mteTriggerSampleType.  If it's absoluteValue(1),
(note well that it does NOT mean "absolute value" in the
mathematical sense!!!) it simply means that the raw value that
has been sampled is the input to the trigger evaluation funtion.
If it's deltaValue(2) then it means that we're talking about
the first derivative.

I still think the erratum should be rejected, but welcome others'
thoughts on the matter.

Randy